## class fltk::ValueSlider

### Class Hierarchy

    fltk::Slider
       |
       +----fltk::ValueSlider

### Include Files

    #include <fltk/ValueSlider.h>

### Description

The `fltk::ValueSlider` widget is a `fltk::Slider` widget with a box displaying the current value.

### Methods

- fltk::ValueSlider
- ~ValueSlider

#### fltk::ValueSlider::ValueSlider(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::ValueSlider` widget using the given position, size, and label string. The default boxtype is `fltk::DOWN_BOX` .

#### virtual fltk::ValueSlider::~ValueSlider()

Destroys the valuator.